[Setup]
AppName=To-Do
AppVerName=To-Do 1.0
AppID=To-Do
AllowNoIcons=No
AppPublisher=My Company
AppPublisherURL=http://www.mycompany.com
AppSupportURL=http://www.mycompany.com/support/
AppVersion=1.0
DefaultDirName={pf}\To-Do
DefaultGroupName=To-Do
UninstallDisplayIcon={app}\To-Do.exe
Compression=lzma
SolidCompression=yes
;We use Setup as the name so windows will prompt the user to run installer as current user or admin
OutputBaseFilename=To-Do [[LONG_VERSION]]
OutputDir=.\
PrivilegesRequired=poweruser
;admin, poweruser
UsePreviousTasks=Yes
;AppMutex=app_mutex,Global\app_mutex
VersionInfoCompany=To-Do
VersionInfoCopyright=
VersionInfoDescription=
VersionInfoTextVersion=
VersionInfoVersion=
ShowLanguageDialog=no

[Languages]
Name: "english"; MessagesFile: "compiler:Default.isl"; LicenseFile: "..\..\..\..\Installers\EULA.rtf"

[Files]
;Source: ".\Win32\Readme.rtf"; DestDir: "{app}"; Flags: replacesameversion
Source: ".\Win32\To-Do.exe"; DestDir: "{app}"; Flags: replacesameversion

Source: ".\Win32\components\externals\*"; DestDir: "{app}\components\externals"; Flags: replacesameversion recursesubdirs createallsubdirs
Source: ".\Win32\components\program.dat"; DestDir: "{app}\components"; Flags: replacesameversion
Source: ".\Win32\components\application.dat"; DestDir: "{app}\components"; Flags: replacesameversion
Source: ".\Win32\components\glxapp_framework.dat"; DestDir: "{app}\components"; Flags: replacesameversion
Source: ".\Win32\components\sql_yoga.rev"; DestDir: "{app}\components"; Flags: replacesameversion
Source: ".\Win32\components\libraries.rev"; DestDir: "{app}\components"; Flags: replacesameversion
Source: ".\Win32\components\to-do.sqlite"; DestDir: "{app}\components"; Flags: replacesameversion

[InstallDelete]
; DELETE START MENU SHORTCUT TO UNINSTALLER
Type: files; Name: "{commonprograms}\To-Do\Remove To-Do.lnk"
Type: files; Name: "{userprograms}\To-Do\To-Do.lnk"

[UninstallDelete]
;Type: filesandordirs; Name: "{commonappdata}\To-Do"
Type: filesandordirs; Name: "{userappdata}\To-Do"

[Dirs]
;Name: "{commonappdata}\To-Do"; Permissions: everyone-modify
Name: "{userappdata}\To-Do";

[Tasks]
Name: "desktopicon"; Description: "{cm:CreateDesktopIcon}"; GroupDescription: "{cm:AdditionalIcons}"; Flags:

[Icons]
Name: "{group}\To-Do"; Filename: "{app}\To-Do.exe"
Name: "{userdesktop}\To-Do"; Filename: "{app}\To-Do.exe"; IconIndex: 0; Tasks: desktopicon

[Run]
Filename: "{app}\To-Do.exe"; Description: "{cm:LaunchProgram,To-Do}"; Flags: nowait postinstall skipifsilent; OnlyBelowVersion: 0,6
